[Parted-commits] GNU Parted Official Repository: Changes to 'master'

Joel Granados jgranados-guest at alioth.debian.org
Thu Jul 23 10:07:51 UTC 2009


 NEWS                     |   55 +++++++++++++++--
 README-release           |   27 ++++++++
 build-aux/parted-release |  149 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 224 insertions(+), 7 deletions(-)

New commits:
commit e17a6524fb54a1da36dc7d09d98b3f4b46060c3b
Author: Joel Granados Moreno <jgranado at redhat.com>
Date:   Sun Jul 19 15:16:04 2009 +0200

    Automate the release process.
    
    * build-aux/parted-release: New file. Automates the part of the release
    process that takes place in the local repository.

diff --git a/build-aux/parted-release b/build-aux/parted-release
new file mode 100755
index 0000000..9de7122
--- /dev/null
+++ b/build-aux/parted-release
@@ -0,0 +1,149 @@
+#!/bin/bash
+
+v=""
+date=$(date +%F)
+logfile="release.log"
+parted_dir=""
+key_string=""
+key_id=""
+stage_dir="$(pwd)/parted_release-$$"
+
+usage()
+{
+  echo "Script for releasing parted."
+  echo
+  echo "$0 --version VERSION [--key-id KEYID --stage-dir DIR]"
+  echo
+  echo "  --version VERSION   The version of parted to be released"
+  echo "  --key-id KEYID    Your GPG key id.  If not given, -s argument"
+  echo "            of gpg will be used"
+  echo "  --stage-dir       The directory that will be used to stage the"
+  echo "            release process"
+}
+
+# Get all the input values
+while [ $# -gt 0 ] ; do
+  case $1 in
+
+    --key-id)
+      key_string="-u $2"
+      key_id="$2"
+      shift; shift
+    ;;
+
+    # The version that is to be released
+    --version)
+      v="$2"
+      shift; shift
+    ;;
+
+    --stage-dir)
+      stage_dir="$2"
+      shift; shift
+    ;;
+
+    --help)
+      usage
+      exit 0
+    ;;
+
+    # The default
+    *)
+      usage
+      exit 1
+    ;;
+
+  esac
+done
+
+if [ "x$v" = "x" ] ; then
+  usage
+  exit 1
+fi
+
+if [ "x$key_string" = "x" -o "x$key_id" = "x" ] ; then
+  key_string="-s"
+  key_id="FIXME: YOUR_KEY"
+fi
+
+_do_git_clone()
+{
+  git clone git://git.debian.org/git/parted/parted.git || return 1
+  parted_dir="parted"
+}
+
+_require_git()
+{
+  ( git --version ) > /dev/null 2>&1 ||
+  {
+    echo "Could not find git. Please install from http://git-scm.com/download."
+    exit 1
+  }
+}
+
+_do_sanity_check()
+{
+  (cd $parted_dir
+    ./bootstrap && \
+    ./configure && \
+    make && \
+    make check && \
+    sudo make check RUN_VERY_EXPENSIVE_TESTS=yes RUN_EXPENSIVE_TESTS=yes && \
+    make distcheck && \
+    make maintainer-clean && \
+    return 0
+  ) >> $logfile 2>&1 || return 1
+}
+
+_do_release()
+{
+  (cd $parted_dir
+    news_line="* Noteworthy changes in release $v ($date) [stable]"
+    commit_message="version $v\n\n* NEWS: Record release date.\n"
+    sed -e "s/^.*in release.* (????-??-??) .*/$news_line/" -i NEWS && \
+    git commit NEWS --message="$commit_message" && \
+    git tag $key_string -m "parted $v" v$v HEAD && \
+    ./bootstrap && \
+    ./configure && \
+    make && \
+    make major && \
+    return 0
+  ) >> $logfile 2>&1 || return 1
+}
+
+_do_success()
+{
+  echo "\
+The release process has finished successfully.  You are encouraged to follow
+these steps:"
+  cat $parted_dir/README-release
+  exit 0
+}
+
+_do_fail()
+{
+  echo "\
+The process has returned an error please check the $logfile for more
+information.  Also check your global git configuration and network
+configuration for possible overlooked issues.
+"
+  exit 1
+}
+
+_require_git
+echo "git is installed..."
+
+mkdir -p "$stage_dir" || exit 1
+cd "$stage_dir"
+
+echo "Cloning parted (this might take a few minutes)..."
+_do_git_clone || _do_fail
+echo "parted cloned..."
+
+echo "Sanity checking..."
+_do_sanity_check || _do_fail
+
+echo "Creating the release..."
+_do_release || _do_fail
+
+_do_success

commit 6e4a50c2187c59f12b9056971ec5f6d5b97f1e3e
Author: Joel Granados Moreno <jgranado at redhat.com>
Date:   Wed Jul 15 12:03:48 2009 +0200

    Document our release proceedure.
    
    * README-release: New file.

diff --git a/README-release b/README-release
new file mode 100644
index 0000000..d42febf
--- /dev/null
+++ b/README-release
@@ -0,0 +1,27 @@
+Here is most of the steps we (maintainers) follow when making a release.
+
+1. Execute build-aux/parted-release.  `parted-release --help` contains
+   additional information.
+
+2. Test the tarball.  Copy it to a few odd-ball systems and ensure that it
+   builds and passes all tests.
+
+3. Write the release announcement that will be posted to the mailing lists.
+   There is a template generated at /tmp/announce-parted-$VERSION.
+
+4. Run the gnupload command that was suggested by the release script.  You can
+   find this at the end of release.log.
+
+5. Wait a few minutes (maybe up to 30?) and then use the release URLs to
+   download all tarball/signature pairs and use gpg --verify to ensure that
+   they're all valid.  You will also need to verify these URLs in the
+   announcement mail.
+
+6. Push the new tag with the following command:
+     git push origin tag v$v
+
+7. Send the gpg-signed announcement mail, e.g.,
+     To: info-gnu at gnu.org, parted-devel at lists.alioth.debian.org
+     Cc: coordinator at translationproject.org, bug-parted at gnu.org
+     Subject: parted-$v released [stable]
+

commit a389d9b51f8a314bc4095053d6ffb445db1e4075
Author: Joel Granados Moreno <jgranado at redhat.com>
Date:   Mon Jul 13 18:01:48 2009 +0200

    Update the NEWS file for the next release.
    
    * NEWS : Describe some of the latest bugfixes and behavioral changes.

diff --git a/NEWS b/NEWS
index f19d303..f1a1ce4 100644
--- a/NEWS
+++ b/NEWS
@@ -2,13 +2,54 @@ GNU parted NEWS                                    -*- outline -*-
 
 * Noteworthy changes in release 1.9.0 (????-??-??) [stable]
 
-libparted:
-* The linux-swap "filesystem" types are now called "linux-swap(v0)" and
-  "linux-swap(v1)" rather than "linux-swap(old)" and "linux-swap(new)"
-  as in parted 1.8, or "linux-swap" as in older versions; "old" and
-  "new" generally make poor names, and v1 is the only format supported
-  by current Linux kernels. Aliases for all previous names are
-  available.
+** Bug fixes
+
+  parted now preserves the protective MBR (PMBR) in GPT type labels.
+  http://lists.alioth.debian.org/pipermail/parted-devel/2008-December/\
+    002473.html
+  http://lists.gnu.org/archive/html/bug-parted/2008-12/msg00015.html
+
+  gpt_read now uses SizeOfPartitionEntry instead of the size of
+  GuidPartitionEntry_t.  This ensures that *all* of the partition
+  entries are correctly read.
+  http://lists.alioth.debian.org/pipermail/parted-devel/2008-December/\
+    002465.html
+  http://lists.alioth.debian.org/pipermail/parted-devel/attachments/\
+    20081202/b7c0528d/attachment.txt
+
+  mklabel (interactive mode) now correctly asks for confirmation, when
+  replacing an existent label, without outputting an error message.
+  http://lists.alioth.debian.org/pipermail/parted-devel/2009-January/\
+    002739.html
+
+  resize now handles FAT16 file systems with a 64k cluster.  This
+  configuration is not common, but it is possible.
+  http://parted.alioth.debian.org/cgi-bin/trac.cgi/ticket/207
+
+  parted now ignores devices of the type /dev/md* when probing.  These
+  types of devices should be handled by the device-mapper capabilities
+  of parted.
+  http://lists.alioth.debian.org/pipermail/parted-devel/2009-April/\
+    002781.html
+
+  The parted documentation now describes the differences in the options
+  passed to mkpart for the label types.
+  http://lists.alioth.debian.org/pipermail/parted-devel/2009-April/\
+    002782.html
+
+** Changes in behavior
+
+  include/parted/beos.h, include/parted/gnu.h and include/parted/linux.h
+  have been removed.  The symbols contained in these files (GNUSpecific,
+  ped_device_new_from_store, BEOSSpecific, LinuxSpecific,  LINUX_SPECIFIC)
+  were moved to the individual files that need them.
+
+  In libparted, the linux-swap "filesystem" types are now called
+  "linux-swap(v0)" and "linux-swap(v1)" rather than "linux-swap(old)"
+  and "linux-swap(new)" as in parted 1.8, or "linux-swap" as in older
+  versions; "old" and "new" generally make poor names, and v1 is the
+  only format supported by current Linux kernels. Aliases for all
+  previous names are available.
 
 * Noteworthy changes in release 1.8.8.1 (2007-12-17) [stable]
 



More information about the Parted-commits mailing list